Subject: Re: [PATCH] NET : Introduce SIOCGSTAMPNS ioctl to get timestamps with nanosec resolution

From: Patrick McHardy <[email-masked]>
Date: Thu, 08 Mar 2007 17:45:16 +0100

Eric Dumazet wrote:
> On Thursday 08 March 2007 17:28, Patrick McHardy wrote:
>>>--- a/include/asm-mips/sockios.h
>>>+++ b/include/asm-mips/sockios.h
>>>@@ -20,6 +20,7 @@ #define SIOCATMARK	_IOR('s', 7, int)
>>> #define SIOCSPGRP	_IOW('s', 8, pid_t)
>>> #define SIOCGPGRP	_IOR('s', 9, pid_t)
>>>
>>>-#define SIOCGSTAMP	0x8906			/* Get stamp - linux-specific */
>>>+#define SIOCGSTAMP	0x8906		/* Get stamp (timeval) */
>>>+#define SIOCGSTAMPNS	0x8907		/* Get stamp (timespec) */
>>
>>You might want to CC linux-arch or the architecture maintainers.
>>Last time I changed something in this area I got complaints
>>because it affected syscall emulation for non-Linux binaries
>>or something like that.
> 
> 
> I really dont see how this change could break syscall emulation for non-Linux 
> binaries. SIOCGSTAMP{NS} is linux specific.
> 
> Could you please give the context of your past problems ?

It was when I added the SO_SNDBUFFORCE/SO_RCVBUFFORCE setsockopt
options. IIRC the values I chose where already used differently
for non-Linux MIPS binaries.